Subject: Re: LAD

From: Jun Wu <[email-masked]>
Date: Sun, 30 Jan 94 10:30:22 CST

> 	My friend is a LAD.  She asked me to post this for her.
> She talked to a very GOOD immigration lawyer in Seattle regarding to the
> LAD issue.  The lawyer said according to the immigration law, the cutting
> date for 3rd employment-based immigration, which is July 1st, 1993, does NOT
> include July 1st.  Because the earliest priority date for CSPA is July 1st,
> 1993, technically there should be no LAD application processed and interviewed/.
> .  Can anyone please to confirm this?
> 

That's right. But remember, 3rd employment-based was advancing to August and
Sept (and may be Oct?). So at those months, lads were able to apply for
adjustment. But because too many people applied (ie, far exceed the quota),
the cutoff date went back to July 1st. So now technically, no lad can apply
for adjustment for status until the cutoff date advances to July 2nd. So
if you did not apply in Aug or Sept or Oct(?), then you lost the chance and
have to wait.

Jun

BTW: However, I did remember I saw a post at Houston INS window, that CSPA
     LAD can apply in December. I think that's just an excemption since they
     want to finish up this case and let LAD wait for quota. This may be
     differ from one local INS to another, and may no long be true in January.
-- 
                                 ^-^    Owlnet
                                (O O)   School of Engineering Network
                                ( v )
       o o o o o o . . .    __=--m-m--=_T__ ____======_T__ ____========_T_____
     o      _____          ||             | |            | |               |
   .][__n_n_|DD[  ====____  |   Jun  Wu   | |  ECE Rice  | | [email-masked] | |
  >(________|__|_[________]_|_____________|_|____________|_|_______________|_|
 __/oo OOOOO oo`  ooo  ooo  'o^o       o^o` 'o^o      o^o` 'o^o         o^o`